{
    "$graph": [
        {
            "id": "#compile",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#compile/object"
                },
                {
                    "type": "File",
                    "inputBinding": {},
                    "id": "#compile/src"
                }
            ],
            "baseCommand": "gcc",
            "arguments": [
                "-c",
                "-Wall"
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.object)"
                    },
                    "id": "#compile/compiled"
                }
            ]
        },
        {
            "id": "#link",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#link/objects"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-o"
                    },
                    "id": "#link/output"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#link/executable"
                }
            ],
            "baseCommand": "gcc"
        },
        {
            "id": "#main",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#main/output",
                    "type": "File",
                    "outputSource": "#main/linkobj/executable"
                }
            ],
            "steps": [
                {
                    "run": "#compile",
                    "in": [
                        {
                            "default": "source1.o",
                            "id": "#main/compilesources-src1/object"
                        },
                        {
                            "default": {
                                "class": "File",
                                "location": "https://raw.githubusercontent.com/common-workflow-language/workflows/feature/feature-GATK-Yassine/workflows/compile/source1.c",
                                "secondaryFiles": [
                                    {
                                        "class": "File",
                                        "location": "https://raw.githubusercontent.com/common-workflow-language/workflows/feature/feature-GATK-Yassine/workflows/compile/source1.h"
                                    }
                                ]
                            },
                            "id": "#main/compilesources-src1/src"
                        }
                    ],
                    "out": [
                        "#main/compilesources-src1/compiled"
                    ],
                    "id": "#main/compilesources-src1"
                },
                {
                    "run": "#compile",
                    "in": [
                        {
                            "default": "source2.o",
                            "id": "#main/compilesources-src2/object"
                        },
                        {
                            "default": {
                                "class": "File",
                                "location": "https://raw.githubusercontent.com/common-workflow-language/workflows/feature/feature-GATK-Yassine/workflows/compile/source2.c"
                            },
                            "id": "#main/compilesources-src2/src"
                        }
                    ],
                    "out": [
                        "#main/compilesources-src2/compiled"
                    ],
                    "id": "#main/compilesources-src2"
                },
                {
                    "run": "#link",
                    "in": [
                        {
                            "source": [
                                "#main/compilesources-src1/compiled",
                                "#main/compilesources-src2/compiled"
                            ],
                            "id": "#main/linkobj/objects"
                        },
                        {
                            "default": "a.out",
                            "id": "#main/linkobj/output"
                        }
                    ],
                    "out": [
                        "#main/linkobj/executable"
                    ],
                    "id": "#main/linkobj"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0"
}
